curl --request GET \
--url https://api.sonderplan.com/v2/time-activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sonderplan.com/v2/time-activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sonderplan.com/v2/time-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 9879871,
"name": "Sound Post",
"description": "Recording, mixing and exporting from Pro Tools and other DAWs",
"created_id": 3,
"created": 1388552400,
"updated_id": 3,
"updated": 1388552400
}
],
"meta": {
"pagination": {
"total": 1,
"count": 1,
"per_page": 1,
"current_page": 1
}
}
}Get Time Activities
Time activities are predefined task categories that users can reference when logging time entries in the time-tracking system. By standardizing task types, predefined activities enhance reporting accuracy, providing insights into the specific work required to complete a project.
READ access to the ADMIN module is required to access this endpointAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
One or more (comma seperated) IDs of time activies to retrieve
Comma seperated list of fields you wish to return
Specify the page of results you wish to return
The number of results returned per page. Default if not specified is 10
Specify the field (with type of string or integer) you wish to order (ascending) the response with
Specify the field (with type of string or integer) you wish to order (descending) the response with
Specify if multiple filters should be combined with OR or AND logic
OR, AND